These are chat archives for CodeHubOrg/discussions

24th
Feb 2017
wingedeel
@wingedeel
Feb 24 2017 12:40 UTC
Well done @katjad and @TimHandy !
Tim Handy
@TimHandy
Feb 24 2017 12:49 UTC
cheers. it turned out to be easier than we thought.
We haven't used the REST api to modify the spreadsheet, though that could be next
Tim Handy
@TimHandy
Feb 24 2017 12:59 UTC
Found a missing piece of the puzzle that will help me and maybe some others here... how to assimilate a template into a React app. This guy has some videos demonstrating it.
Katja Durrani
@katjad
Feb 24 2017 13:05 UTC
Can't watch now, but whole series looks really good.
wingedeel
@wingedeel
Feb 24 2017 17:34 UTC
I've pulled the 'rewrite' branch from the github repo and done npm install but get errors. Complaining about babel-node...
Katja Durrani
@katjad
Feb 24 2017 17:37 UTC
Argh I remember that, but not the solution. Wonder if it has to do with webpack and presets. Can you try doing npm install again?
@wingedeel There's a dev dependency babel-cli - I think that might be what is missing?
wingedeel
@wingedeel
Feb 24 2017 17:43 UTC
Ok, will give a try over the weekend. Have a good one.
Katja Durrani
@katjad
Feb 24 2017 17:43 UTC
You too!
wingedeel
@wingedeel
Feb 24 2017 17:44 UTC
Could you add dependency to package.json?
Katja Durrani
@katjad
Feb 24 2017 17:46 UTC
It's already in there. It's just the question whether that was the problem..
@wingedeel So that can't be the problem
@wingedeel I missed before that you said you had done npm install already!
Katja Durrani
@katjad
Feb 24 2017 18:00 UTC
@wingedeel I think you might have to install babel-cli globally https://www.npmjs.com/package/babel-node It says somewhere babel-cli is quite heavy and should not be used in production. So I wonder if we can get away from that
Katja Durrani
@katjad
Feb 24 2017 18:05 UTC
@wingedeel ah no, that is rubbish what I wrote that's a different package
Katja Durrani
@katjad
Feb 24 2017 18:31 UTC
@wingedeel You know what, I had actually not pushed my latest changes! It might be that it was just not working in general. I probably didn't expect anybody to pull that branch, but that's no excuse. Sorry anyway! - I have now also added another dependency, nodemon, although I am not sure that changes much. Anyway it should work without having to install babel-cli globally! So can you try pulling latest changes please and do npm install again, after that hopefully it should all work! :)